[arch-commits] Commit in nvidia-utils/trunk (PKGBUILD nvidia.install)

Thomas Baechler thomas at archlinux.org
Wed May 28 17:55:48 EDT 2008


    Date: Wednesday, May 28, 2008 @ 17:55:48
  Author: thomas
Revision: 2186

upgpkg: nvidia-utils 173.14.05-1

Modified:
  nvidia-utils/trunk/PKGBUILD
  nvidia-utils/trunk/nvidia.install

----------------+
 PKGBUILD       |    8 ++++----
 nvidia.install |    9 ++++++---
 2 files changed, 10 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-28 21:48:49 UTC (rev 2185)
+++ PKGBUILD	2008-05-28 21:55:48 UTC (rev 2186)
@@ -3,7 +3,7 @@
 # Contributor: James Rayner <iphitus at gmail.com>
 
 pkgname=nvidia-utils
-pkgver=169.12
+pkgver=173.14.05
 pkgrel=1
 pkgdesc="NVIDIA drivers utilities and libraries."
 arch=('i686' 'x86_64')
@@ -18,9 +18,9 @@
 install=nvidia.install
 source=(http://us.download.nvidia.com/XFree86/Linux-${ARCH}/${pkgver}/NVIDIA-Linux-${ARCH}-${pkgver}-pkg0.run \
         supported-cards.txt)
-md5sums=('e7aaca79c846e34cfe8111040bfee2d0'
+md5sums=('a4185e057c38b8230fa4b79f98cb57fb'
          'bf8d68d66757096c3ab17653230bf2a8')
-[ "$CARCH" = "x86_64" ] && md5sums=('843a1e8bc1923ba2e4b60f6fab31ad3b'
+[ "$CARCH" = "x86_64" ] && md5sums=('223dedf255d74eaa2e63808586f030f1'
                                     'bf8d68d66757096c3ab17653230bf2a8')
 options=(docs !strip)
 
@@ -44,7 +44,7 @@
   # fix nvidia .desktop file
   sed -e 's:__UTILS_PATH__:/usr/bin:' -e 's:__PIXMAP_PATH__:/usr/share/pixmaps:' -i $startdir/pkg/usr/share/applications/nvidia-settings.desktop
   install -m644 share/pixmaps/nvidia-settings.png $startdir/pkg/usr/share/pixmaps/ || return 1
-  install X11R6/lib/modules/libnvidia-wfb.so.$pkgver $startdir/pkg/usr/lib/xorg/modules || return 1
+  #install X11R6/lib/modules/libnvidia-wfb.so.$pkgver $startdir/pkg/usr/lib/xorg/modules || return 1
   install X11R6/lib/modules/drivers/nvidia_drv.so $startdir/pkg/usr/lib/xorg/modules/drivers || return 1
   install X11R6/lib/modules/extensions/libglx.so.$pkgver $startdir/pkg/usr/lib/xorg/modules/extensions || return 1
   install -m755 bin/nvidia-{settings,xconfig,bug-report.sh} $startdir/pkg/usr/bin/ || return 1

Modified: nvidia.install
===================================================================
--- nvidia.install	2008-05-28 21:48:49 UTC (rev 2185)
+++ nvidia.install	2008-05-28 21:55:48 UTC (rev 2186)
@@ -15,15 +15,18 @@
   echo For a list of supported cards, see /usr/share/doc/nvidia/supported-cards.txt
   echo -------------------------------
 
-  echo ":: Updating symlinks to use built-in libwfb"
-  ln -sf /usr/lib/xorg/modules/libnvidia-wfb.so.* \
-         /usr/lib/xorg/modules/libwfb.so 
+  #echo ":: Updating symlinks to use built-in libwfb"
+  #ln -sf /usr/lib/xorg/modules/libnvidia-wfb.so.* \
+  #       /usr/lib/xorg/modules/libwfb.so 
 }
 
 # arg 1:  the new package version
 # arg 2:  the old package version
 post_upgrade() {
   post_install $1
+  echo ":: Updating symlinks to use xorg-server libwfb"
+  ln -sf /usr/lib/xorg/modules/libwfb.so.* \
+         /usr/lib/xorg/modules/libwfb.so
 }
 
 post_remove() {





More information about the arch-commits mailing list